#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KDialog>
#include <KApplication>
#include <KAboutData>
#include <KXmlGuiWindow>

#include <Phonon/MediaObject>
#include <Phonon/Path>
#include <Phonon/AudioOutput>
#include <Phonon/Global>

#include <QtGui/QDirModel>
#include <QtGui/QColumnView>

class MainWindow : public KXmlGuiWindow
{
    Q_OBJECT
    public:
        MainWindow(QWidget *parent=0);

    private slots:
        void play(const QModelIndex &index);

    private:
	void delayedInit();

	QColumnView m_fileView;
	QDirModel m_model;

	Phonon::MediaObject *m_media;
};

#endif /** MAINWINDOW_H */
