#ifndef MAINWINDOW_H
#define MAINWINDOW_H
 
#include <KXmlGuiWindow>
#include <KTextEdit>
 
class MainWindow : public KXmlGuiWindow
{
  Q_OBJECT //new from tutorial3
  
  public:
    MainWindow(QWidget *parent=0);
  
  private:
    KTextEdit* textArea;
    void setupActions();
    QString fileName; //new
 
  private slots: //new
    void newFile(); //new
    void openFile(); //new
    void saveFile(); //new
    void saveFileAs(); //new
    void saveFileAs(const QString &outputFileName); //new
};
 
#endif