#include <KLocale>
#include <KMessageBox>

// include the header file of the dialog
#include "mydialog.h"
 
MyDialog::MyDialog( QWidget *parent )
: KDialog( parent )
{
    QWidget *widget = new QWidget( this );
 
    // create the user interface, the parent widget is "widget"
    ui.setupUi(widget); // this is the important part
 
    // set the widget with all its gui elements as the dialog's
    // main widget
    setMainWidget( widget );
 
    // other KDialog options
    setCaption( i18n("This is my Dialog window!") );
    setButtons( KDialog::Close );
 
    // Example Signal/Slot connection using widgets in your UI.
    // Note that you have to prepend "ui." when referring
    // to your UI elements.
     connect( ui.myButton, SIGNAL( clicked() ),
              this, SLOT( slotButtonClicked() ) );
}
 
MyDialog::~MyDialog()
{
}
 
void MyDialog::slotButtonClicked() 
{
	KMessageBox::information( this, 
                              i18n("You pressed the button!" ),
                              i18n( "Hooray!" ) );
}
 
